[data-theme="dark"] {
    --kt-gray-600: #eee;
    --kt-text-muted: #bbb;
    --kt-text-gray-600: #aaa;
    --kt-bullet-bg-color: #aaa;
    --kt-text-gray-400: #bbb;
    --kt-input-solid-bg: #242436 !important;
    --kt-input-solid-bg-focus: #32324e !important;    
}

[data-theme="light"] {
    --kt-gray-200: #c2ddf1a8;
    --sl-card-bg-color: #e6f3fca8 !important;
}

#sl_list_card_files {
    display: flex;
    row-gap: 12px;
    column-gap: 12px;
    flex-wrap: wrap;
}

#sl_list_card_files .card {
    flex: 1;
    background-color: var(--sl-card-bg-color);
    min-width: calc(50% - 12px);
    max-width: calc(50% - 12px);
    overflow: hidden;
}

#sl_list_card_files .sl-img-holder {
    background-color: var(--kt-gray-200);
    display: flex;
    justify-content: center;
    align-items: center;
}

[data-theme="dark"] #sl_list_card_files .sl-img-holder {
    background-color: var(--kt-gray-300);
}

[data-theme="dark"] .swal2-popup.swal2-toast {
    background-color: var(--kt-gray-300);
}

#sl_list_card_files .sl-img-holder img, .sl-upload-modal-edit-thumb {
    width: 100%;
    height: auto;
    object-fit: scale-down;
    max-height: 90%;
}

.dz-preview.dropzone-item img {
    width: 100% !important;
    height: auto !important;
    object-fit: scale-down !important;
    max-height: 90% !important;
}

#kt_aside {
    text-transform: uppercase;
}

.sl-page-header-info.card .card-header {
    min-height: 30px !important;
}

.sl-list-files-uploading { max-height: 300px; overflow-y: scroll; margin: 0px; padding: 0px; }

.sl-list-files-uploading .dropzone-item:last-child .separator { display: none; }

.sl-flex-commom-gap {
    column-gap: 0.65rem; row-gap: 0.65rem; flex-wrap: wrap;
}

.sl-holder-loading {
    position: absolute;
    height: 190px;
    width: 100%;
    flex-grow: 1;
    left: 0px;
    top: 0px;
    justify-content: center;
    align-items: flex-end;
    padding-left: 250px;
    display: none;
    opacity: 0;
    transition: opacity 0.5s;
}

#sl_login_aside .sl-holder-form {
    flex:1;
}

#sl_login_aside .sl-holder-logo {
    margin-top: -150px;
}

@media (max-width: 991px) {

    #sl_login_aside .sl-holder-form {
        flex:3 !important;
    }

    #sl_login_aside .sl-holder-logo {
        margin-top: 0px;
        margin-bottom: -50px;
    }

    .sl-holder-loading {
        padding-left: 0px;
    }

}

@media (min-width: 992px) {
    
    #kt_header {
        z-index: 98;
    }


    #kt_aside_logo .logo-default {
        height: 100px;
    }

    #kt_aside_logo .logo-default.theme-dark-show, #kt_header a.sl-icon-logo {
        opacity: 0.75;
    }

    #kt_aside {
        background: none;
    }


    #kt_wrapper {
        background: rgba(255, 255, 255, 0.15);
    }

    [data-theme="dark"] #kt_wrapper {
        background: rgba(0, 0, 0, 0.15);
    }

    #kt_content, #sl_content_termos { 
        background-color: #e6f3fca8; 
        backdrop-filter: blur(8px); -webkit-backdrop-filter: blur(8px);
    }

    [data-theme="dark"] #kt_content, [data-theme="dark"] #sl_content_termos { 
        background-color: #151521aa;
    }

    #sl_content_termos {
        z-index: 2;
    }

    body > div.d-flex.flex-column.flex-root {
        z-index: 1;
    }


    #kt_footer > .container-fluid.d-flex {
        padding: 0px;
    }

    #sl_background_wave_img {
        position: fixed; top:0px; left:0px; width: 100vw; height: 100vh; display: flex; align-content: center; align-items: flex-end;
    }

    #sl_background_wave {
        position: fixed; top:0px; left:0px; width: 100vw; height: 100vh; display: flex; align-content: center; align-items: flex-end; opacity: 0.5;
    }

   [data-theme="dark"] #sl_background_wave {
        opacity: 0.4;
    } 
    
    .sl-page-header-info {
        background-image: none;
        padding-right: 0rem;
    }

    .container, .container-xxl, .container-fluid, .container-sm, .container-md, .container-lg, .container-xl {
        padding: 0 1.75rem;
    }

    .content {
        padding: 1.75rem 0;
    }
}

@media (min-width: 1100px) {
    
    .sl-page-header-info {
        background-size: auto calc(100% + 7rem);
        background-position-x: 103%;
        background-position-y: 60%;
        background-image: url(/assets/img/hex.png);
        padding-right: 12rem;
    }

    #sl_list_card_files {
        display: flex;
        row-gap: 18px;
        column-gap: 18px;
        flex-wrap: wrap;
    }
}

.dropdown-menu {
    --bs-dropdown-item-padding-x: 1.5rem !important;
    --bs-dropdown-item-padding-y: 0.65rem !important;
}

.sl-image-perfil {
    object-fit: cover;
}

#kt_content {
    transition: opacity 0.5s;
}

.sl-div-is-loading {
    opacity: 0.5;
}

.sl-div-is-loading + .sl-holder-loading {
    display: flex;
    opacity: 1;
}

.sl-holder-loading i {
    font-size: 5em;
}

.sl-search-result-item .sl-text-ellipsis {
    max-width: 290px;     
}

.sl-text-ellipsis{
    white-space: nowrap; overflow: hidden; text-overflow: ellipsis;
}

.sl-text-ellipsis.sl-rtl{
    white-space: nowrap; overflow: hidden; text-overflow: ellipsis; 
    direction: rtl; text-align: left;
}

.sl-results-content .sl-search-result-item:last-child{
    margin-bottom: 0px !important;
}

.sl-button-toggle-checkbox [type="checkbox"] + .btn{
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.sl-button-toggle-checkbox [type="checkbox"] + .btn.pendente{
    background-color: var(--kt-warning-light) !important;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.sl-button-toggle-checkbox [type="checkbox"]:checked + .btn{
    background-color: var(--kt-success-light) !important;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.sl-button-toggle-checkbox [type="checkbox"] + .btn::after{
    content: attr(data-sl-pre) !important;
    color: var(--kt-gray-600) !important;
}

.sl-button-toggle-checkbox [type="checkbox"]:checked + .btn::after{
    content: attr(data-sl-pos) !important;
    color: var(--kt-gray-700) !important;
}

.sl-modal-preview-file .modal-body {
    margin: 0px !important;
    padding: 0px !important;
}

.sl-modal-preview-file .sl-preview-content {
    margin: 0px !important;
    padding: 0px !important;
    width: 100%;
    height: 80vh;
}

#checklist_conteudo .select2.select2-container {
    width: auto;
    flex: 1;
}

#checklist_conteudo .select2.select2-container .select2-selection {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    height: 36px;
}

.select2.select2-container .select2-selection {
    min-height: 36px;
}

#sl_list_card_files > .card {
    transition: all 0.15s ease-in-out;
    box-shadow: 0 0 0px rgba(0, 0, 0, 0.15);
    cursor: pointer;
}

#sl_list_card_files > .card:hover {
    transform: scale(1.02);
    box-shadow: 0px 12px 12px 0px rgb(0 0 0 / 10%);
    z-index: 10;
}

.modal .modal-content > .nav {
    border-bottom: 1px solid var(--kt-modal-header-border-color);
    background-color: var(--kt-modal-header-border-color);
}

.modal .modal-content .modal-header {
    background-color: var(--kt-modal-header-border-color);
}

.modal .modal-content .modal-footer > div {
    column-gap: 10px;
}

.modal .modal-content:has(>.nav) .modal-header {
    border-bottom: 0px;
}

.modal {
    --bs-modal-header-padding-x: 1.2rem !important;
    --bs-modal-header-padding-y: 1.4rem !important;
    --bs-modal-header-padding: 1.2rem 1.4rem !important;
    z-index: 1055 !important;
    opacity: 0 !important;
    transform: translateY(100px) scale(0.8);
    transition: all 0.3s ease-out;
}

.modal-backdrop {
    z-index: 1055 !important;
    opacity: 0 !important;
    transition: all 0.3s ease-out;
}

.modal.animate {
    opacity: 1 !important;
    transform: translateY(0px) scale(1);
}

.modal-backdrop.animate {
    opacity: 0.7 !important;
}

.modal .daterangepicker, .sl-select-modal-z-index {
    z-index: 1055 !important;
}

#sortable { list-style-type: none; margin: 0px; padding: 0px; }
#sortable_categoria { list-style-type: none; margin: 0px; padding: 0px; }

.lista-base-campos i.fa-sort { margin-right: 12px; }

.lista-base-campos .btn-danger { margin-top: -4px; }

.lista-base-campos { width: 100%; padding: 14px; margin: 0px 0px 6px 0px; background-color: #f3f3f3; font-size: 14px;
    -webkit-border-radius: 4px 4px 4px 4px; -moz-border-radius: 4px 4px 4px 4px; border-radius: 4px 4px 4px 4px; cursor: move; margin-bottom: 10px; }

.lista-base-campos.ui-sortable-helper { background-color: #f6f6f6; -webkit-box-shadow: 2px 2px 8px #aaa; -moz-box-shadow: 2px 2px 8px #aaa; box-shadow: 2px 2px 8px #aaa; }

#div-doc-tags .tag {
    position: absolute !important;
    left: 0px;
    top: 0px;
    background-color: #2196f3;
    border-color: transparent;
    color: #ffffff;
    padding: 5px 10px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.dz-preview.dz-success .dz-success-mark {
    display: block !important;
}
.dz-preview.dz-error .dz-error-mark {
    display: block !important;
}

.lista-base-categorias i.fa-sort { margin-right: 12px; }

.lista-base-categorias .btn-danger { margin-top: -4px; }

.lista-base-categorias { width: 100%; padding: 14px; margin: 0px 0px 6px 0px; background-color: #f3f3f3; font-size: 14px;
    -webkit-border-radius: 4px 4px 4px 4px; -moz-border-radius: 4px 4px 4px 4px; border-radius: 4px 4px 4px 4px; cursor: move; margin-bottom: 10px; }

.lista-base-categorias.ui-sortable-helper { background-color: #f6f6f6; -webkit-box-shadow: 2px 2px 8px #aaa; -moz-box-shadow: 2px 2px 8px #aaa; box-shadow: 2px 2px 8px #aaa; }

#carouselHome .carousel-inner { 
    background-color: var(--kt-card-bg) !important; border-radius: 6px !important; overflow: hidden !important;
}

#carouselHome .sl-home-icon {
    color: var(--kt-primary);
    font-size: 3em;
}

#carouselHome .carousel-item img {
    aspect-ratio: 16/5;
    object-fit: contain;
}
#carouselHome .carousel-control-prev, #carouselHome .carousel-control-next {
    width: 7%;
}

div.is-loading > .form-control, div.is-loading > .form-select {
    border-color: #f5b62f;
    padding-right: calc(1.5em + 1.55rem);
}

div.is-loading > label:first-child::after {
    content: "";
    position: absolute;
    margin: 0px;
    padding: 0px;
    width: 1.7rem;
    height: 1.7rem;
    border-color: #f5b62f;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23f5b62f' class='bi bi-arrow-clockwise' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2v1z'/%3E%3Cpath d='M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-size: 1.7rem 1.7rem;
    right: 3.3rem;
    margin-top: 2.9rem;
    -webkit-animation: rotating 2s linear infinite;
    -moz-animation: rotating 2s linear infinite;
    -ms-animation: rotating 2s linear infinite;
    -o-animation: rotating 2s linear infinite;
    animation: rotating 2s linear infinite;
}

@-webkit-keyframes rotating /* Safari and Chrome */ {
  from {
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes rotating {
  from {
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}


.swal2-container {
    z-index: 91057 !important;
}

.has-error {
  border: 1px solid #ff3860;
  /* Same as .input.is-danger */
}


/* -------------- */
/* Estilos gerais */
/* Estilos gerais */
.welcome-data {
    font-size: 16px;
}

.welcome-title {
    font-size: 32px;
}

.panel {
    background: #f0ca80;
    border-radius: 15px;
    padding: 15px;
}

.panel-item {
    display: grid;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
}

.panel-left-border {
    border-left: 1px solid #fff;
}

.custom-card {
    border-radius: 10px;
    padding: 15px;
    background: #fff;
    margin-left: 15px;
    min-height: 450px;
}

.custom-card ul {
    padding-left: 1rem;
}

.custom-card ul a {
    text-decoration: none;
    color: #181c32;
    cursor: pointer;
}

.custom-card .view-all {
    text-align: right;
}

.custom-card .view-all a {
    color: #000;
}

.custom-card-list-item {
    list-style: none;
    border-bottom: 1px solid #b4b4b433;
    padding-bottom: 10px;
    padding-top: 10px;
    cursor: pointer;
    transition: background 0.3s ease, padding-left 0.3s ease, border-radius 0.3s ease;
    border-radius: 15px;
}

/* .custom-card-list-item:hover {
    background: #f0ca80;
    padding-left: 1rem;
    border-radius: 15px;
} */
.custom-card-list-item:hover {
    background: #f0ca80;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    border-radius: 15px;
}

.custom-card-header {
    height: 45px;
    padding: 15px;
    font-size: 16px;
    font-weight: 800;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}

.custom-card-header .search {
    max-width: 200px;
}

.panel-list-item svg {
    background: #f0ca80;
    padding: 15px;
    width: 64px;
    height: 64px;
    border-radius: 10px;
    fill: #000;
}

/* .panel-list-item {
    padding: 10px 0;
    transition: background 0.3s ease, padding-left 0.3s ease, border-radius 0.3s ease;
} */

.panel-list-item:hover {
    background: #f0ca80;
    border-radius: 15px;
    padding-left: 15px;
    font-weight: lighter;
}

/* Estilos gerais */
.welcome-data {
    font-size: 16px;
}

.welcome-title {
    font-size: 32px;
}

.panel {
    background: #f0ca80;
    border-radius: 15px;
    padding: 15px;
}

.panel-item {
    display: grid;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
}

.panel-left-border {
    border-left: 1px solid #fff;
}

.custom-card {
    border-radius: 10px;
    padding: 15px;
    background: #fff;
    margin-left: 10px;
    width: 500px;
    height: 400px;
}

.custom-card ul {
    padding-left: 1rem;
}

.custom-card ul a {
    text-decoration: none;
    color: #181c32;
    cursor: pointer;
}

.custom-card .view-all {
    text-align: right;
}

.custom-card .view-all a {
    color: #000;
}

.custom-card-list-item {
    list-style: none;
    border-bottom: 1px solid #b4b4b433;
    padding-bottom: 15px;
    padding-top: 15px;
    cursor: pointer;
    transition: background 0.3s ease, padding-left 0.3s ease, border-radius 0.3s ease;
    border-radius: 15px;
}



.custom-card-header {
    height: 45px;
    padding: 15px;
    font-size: 16px;
    font-weight: 800;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}

.custom-card-header .search {
    max-width: 200px;
}

.panel-list-item svg {
    background: #f0ca80;
    padding: 15px;
    width: 64px;
    height: 64px;
    border-radius: 10px;
}

.panel-list-item {
    padding: 10px 0;
    transition: background 0.3s ease, padding-left 0.3s ease, border-radius 0.3s ease;
}

.panel-list-item:hover {
    background: #f0ca80;
    border-radius: 15px;
    padding-left: 15px;
    font-weight: lighter;
}

.strong-title{
    font-weight: 900;
}

.span-tags{
    font-weight: 100;
}

/* Estilos para o tema escuro */
[data-theme="dark"] .panel {
    background: #2B2B40;
}


[data-theme="dark"] .custom-card {
    background: #2B2B40;
}

[data-theme="dark"] .custom-card ul a {
    color: #fff;
}

[data-theme="dark"] .custom-card .view-all a {
    color: #fff;
}

[data-theme="dark"] .custom-card-list-item:hover {
    background: #171723;
}

[data-theme="dark"] .custom-card-list-item {
    border-bottom: 1px solid #fff;
    fill: #fff;
}

[data-theme="dark"] .panel-list-item svg {
    background: #171723;
    fill: #fff;
}

[data-theme="dark"] .panel-list-item:hover {
    background: #171723;
}

@media (min-width: 768px) {
    .panel-left-border-desktop {
        border-left: 1px solid #fff;
    }

    .panel {
        border-radius: 60px;
        padding: 15px;
    }

    .custom-card {
        border-radius: 10px;
        padding: 15px;
        min-height: 450px;
    }
}

.section{padding:15px 0}